import com.redstrate.navigator.NominatimPlace
import retrofit2.Call
import retrofit2.http.Field
import retrofit2.http.FormUrlEncoded
import retrofit2.http.GET
import retrofit2.http.Query

interface NominatimApi {
    // Example: https://nominatim.openstreetmap.org/search.php?q=550+School+St+SW%2C+20024+Washington%2C+US&format=jsonv2
    @GET("search.php")
    fun search(@Query("q") q: String, @Query("format") format: String = "jsonv2"): Call<List<NominatimPlace>>

    // Example: https://nominatim.openstreetmap.org/reverse.php?lat=38.88377&lon=-77.01944&zoom=18&format=jsonv2
    @GET("reverse.php")
    fun reverse(@Query("lat") lat: String, @Query("lon") lon: String, @Query("format") format: String = "jsonv2"): Call<NominatimPlace>
}